Skip to main content
GET
/
subcontractors
/
{id}
/
swms
/
{swmsDocId}
cURL
curl --request GET \
  --url https://api.buildpass.global/subcontractors/{id}/swms/{swmsDocId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'
{
  "id": "swms_clgbsb90b001qjy0f0eo1hspp",
  "createdAt": "2023-10-03T23:19:35.771Z",
  "updatedAt": "2023-10-03T23:19:35.771Z",
  "name": "SWMS Document",
  "status": "WAITING_REVIEW",
  "url": "https://example.com/swms_document.pdf"
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

id
string
required

The ID of the subcontractor

Example:

"sub_clgbsb90b001qjy0f0eo1hspp"

swmsDocId
string
required

The ID of the SWMS document

Example:

"swms_clgbsb90b001qjy0f0eo1hspp"

Response

A SWMS document object

id
string

The ID of the SWMS document

Example:

"swms_clgbsb90b001qjy0f0eo1hspp"

createdAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

updatedAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

name
string
Example:

"SWMS Document"

status
enum<string>
Available options:
REVIEWED,
WAITING_REVIEW,
CHANGES_REQUESTED
Example:

"WAITING_REVIEW"

url
string<uri>
Example:

"https://example.com/swms_document.pdf"